Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.applications.chat_threads.list(
application_variant_id="application_variant_id",
)
page = page.items[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Applications.ChatThreads.List(
context.TODO(),
"application_variant_id",
sgp.ApplicationChatThreadListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.egp.scale.com/v4/applications/{application_variant_id}/threadsconst options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/applications/{application_variant_id}/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"title": "<string>",
"application_variant_id": "<string>",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"thread_metadata": {},
"archived_at": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Applications
List Application Threads
GET
/
v4
/
applications
/
{application_variant_id}
/
threads
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.applications.chat_threads.list(
application_variant_id="application_variant_id",
)
page = page.items[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Applications.ChatThreads.List(
context.TODO(),
"application_variant_id",
sgp.ApplicationChatThreadListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Path Parameters
Query Parameters
Include archived threads in the response.
Response
Successful Response
The ID of the account that owns the given entity.
The user who originally created the entity.
The type of identity that created the entity.
Available options:
user, service_account The date and time when the entity was created in ISO format.
The date and time when the entity was last updated in ISO format.
The date and time when the entity was archived in ISO format.

